from pyrogram import filters
from pyrogram.types import Message

from modules.app import app
from modules.utils import locale
from classes.user import PosterUser
from classes.poster_client import PosterClient


@app.on_message(~filters.scheduled & filters.command(["start"], prefixes="/"))
async def cmd_start(app: PosterClient, msg: Message):
    if PosterUser(msg.from_user.id).is_blocked() is False:
        await msg.reply_text(
            locale("start", "message", locale=msg.from_user.language_code)
        )


@app.on_message(~filters.scheduled & filters.command(["rules", "help"], prefixes="/"))
async def cmd_rules(app: PosterClient, msg: Message):
    if PosterUser(msg.from_user.id).is_blocked() is False:
        await msg.reply_text(
            locale("rules", "message", locale=msg.from_user.language_code)
        )
